Subject: Re: [Gen-art] Gen-ART review of draft-turner-application-pkcs10-media-type-04.txt

From: "Miguel A. Garcia" <[email-masked]>
Date: Sat, 01 May 2010 09:42:10 +0200

On 30/04/2010 19:23, Sean Turner wrote:
>> And here is my problem. This Internet-Draft is about the
>> >  application/pkcs10 media type, so you cannot write a requirement for a
>> >  PKCS #10 certification request, which is specified in RFC 2986, to
>> >  mandate the usage of the application/pcks10 media type. In other words,
>> >  I believe the sentence is technically correct, but this is not the
>> >  document where it should be written.
>> >
>> >  So, did the author write this sentence intentionally or has further
>> >  background for its existence?
> That sentence was taken from RFC 2311 (i.e., SMIMEv2) section 3.7.  I
> suspect (it was before my time) that it was there to specify how to
> request a certificate from a CA.  This was before PKIX standardized
> their different options.
>
> I see your point about it belonging in RFC 2986, but this document
> updates RFC 2986 so it will be part of that document.  I will
> incorporate your suggested rewording (active is better than passive).
> Does this address your concern?
>

Yes, this solves my concern. Here you have another suggestion, you are 
free to take it on board or not: Perhaps you should clearly indicate 
somewhere in the draft that the only update this document does to RFC 
2986 is to mandate the usage of application/pkcs10 media type (I guess 
this is the only change). This will make life easier for those who try to 
identify which kind of update is done.

/Miguel
-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain